package com.kakao.sdk.talk.model

import android.os.Parcelable
import com.google.gson.annotations.SerializedName
import kotlinx.android.parcel.Parcelize

/**
 * @author kevin.kang. Created on 2019-09-20..
 */
@Parcelize
data class MessageSendResult(
    val successfulReceiverUuids: List<String>?,
    @SerializedName("failure_info") val failureInfos: List<MessageFailureInfo>?
) : Parcelable

@Parcelize
data class MessageFailureInfo(val code: Int, val msg: String, val receiverUuids: List<String>) :
    Parcelable