/**
 * Precompiled [dokka.gradle.kts][Dokka_gradle] script plugin.
 *
 * @see Dokka_gradle
 */
class DokkaPlugin : org.gradle.api.Plugin<org.gradle.api.Project> {
    override fun apply(target: org.gradle.api.Project) {
        try {
            Class
                .forName("Dokka_gradle")
                .getDeclaredConstructor(org.gradle.api.Project::class.java)
                .newInstance(target)
        } catch (e: java.lang.reflect.InvocationTargetException) {
            throw e.targetException
        }
    }
}
