package com.kakao.sdk.template

import com.kakao.sdk.common.KakaoJson
import org.junit.jupiter.api.Assertions.*
import org.junit.jupiter.api.Test

/**
 * @author kevin.kang. Created on 2019-10-02..
 */
class LinkTest {

    @Test
    fun empty() {

    }

    @Test
    fun twoKeys() {
        val params = mapOf("key1" to "value1", "key2" to "value2")
        val link = Link("https://kakaocorp.com", "https://kakaocorp.com", params, params)
        val encoded = KakaoJson.pretty.toJson(link)
        val decoded = KakaoJson.pretty.fromJson(encoded, Link::class.java)
        assertEquals(link, decoded)
    }
}