package com.kakao.sdk.auth.model

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize
import java.util.Date

/**
 * @author kevin.kang. Created on 2018. 3. 20..
 */
@Parcelize
data class OAuthToken(
    val accessToken: String? = null,
    val accessTokenExpiresAt: Date? = null,
    val refreshToken: String? = null,
    val refreshTokenExpiresAt: Date? = null,
    val scopes: List<String>? = null
) : Parcelable