/**
 * @author kevin.kang. Created on 2019-10-24..
 */
object Publish {
    const val projectName = "kakao-android-sdk-rx"
    const val groupId = "com.kakao.sdk"
}

object Dokka {
    val samples = arrayOf(
        "sample",
        "sample-common",
        "partner-sample",
        "java-sample"
    )

    val partnerLibraries = arrayOf(
        "partner-common",
        "partner-rx"
    )

    val externalDocs = listOf(
        "https://developer.android.com/reference/kotlin/",
        "http://reactivex.io/RxJava/javadoc/",
        "https://square.github.io/retrofit/2.x/retrofit/",
        "http://www.reactive-streams.org/reactive-streams-1.0.3-javadoc/"
//        "https://square.github.io/okhttp/4.x/okhttp/okhttp3/"
    )

    val externalPackages = listOf(
        "androidx", "dagger", "io.reactivex", "com.google"
    )
}