import org.jetbrains.kotlin.gradle.tasks.KotlinCompile

plugins {
    id("com.android.library")
}

apply(from = "../libraries.gradle")

dependencies {
    api(Dependencies.browser)
    api(Dependencies.gson)
    api(Dependencies.okhttp)
    api(Dependencies.retrofit)
    api(Dependencies.retrofitGson)
    api(Dependencies.loggingInterceptor)
}

apply(from = "../dependencies.gradle.kts")

tasks.withType<KotlinCompile> {
    kotlinOptions {
        jvmTarget = "1.8"
    }
}
